Get a bank account Run in API Explorer
Ask AI
GET
/api/v2/bank-accounts/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v2/bank-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "3dd36d47-9284-400d-ba71-9d8c69df7c5e",
"created_at": "2026-11-18T20:11:45+00:00",
"updated_at": "2026-11-18T20:11:45+00:00",
"account_name": "Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "12345678",
"sort_code": "123456",
"accounts": {
"uuid": "4419bd47-302e-4791-8f32-6a1477b07ed8",
"created_at": "2026-11-18T20:11:45+00:00",
"updated_at": "2026-11-18T20:11:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "4bcc9b2d-d5f4-4ea4-9e39-edbdbc538591",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "be0edda6-434f-4f1f-9257-96ee60c8a44f",
"created_at": "2026-11-18T20:11:45+00:00",
"updated_at": "2026-11-18T20:11:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "4bcc9b2d-d5f4-4ea4-9e39-edbdbc538591",
"created_at": "2026-11-18T20:11:49+00:00",
"updated_at": "2026-11-18T20:11:49+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}